Skip to main content
GET
/
v1
/
analytics
/
calls
Daily call analytics
curl --request GET \
  --url https://api.topcalls.ai/v1/analytics/calls \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.topcalls.ai/v1/analytics/calls"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topcalls.ai/v1/analytics/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "day": "2023-12-25",
      "total_calls": 123,
      "connected_calls": 123,
      "connected_calls_with_duration": 123,
      "total_leads_contacted": 123,
      "converted_leads": 123,
      "sum_talk_time_minutes": 123,
      "sum_billed_minutes": 123
    }
  ]
}
{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"code": "<string>",
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"details": "<string>"
}
{
"status": 401,
"title": "Unauthorized",
"detail": "Invalid or missing API key"
}
{
"status": 403,
"title": "Forbidden",
"detail": "Missing required scope: calls:write"
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer tc_live_xxxxx

Query Parameters

start_date
string<date>
required

Start of the date range (inclusive), YYYY-MM-DD

end_date
string<date>
required

End of the date range (inclusive), YYYY-MM-DD. Must not be more than 90 days after start_date.

Response

Daily call metrics

data
object[]
required